import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";

var genEllipsisStyle = function genEllipsisStyle(token) {
  var _$concat;

  var componentCls = token.componentCls;
  return _defineProperty({}, "".concat(componentCls, "-wrapper"), _defineProperty({}, "".concat(componentCls, "-cell-ellipsis"), (_$concat = {
    overflow: 'hidden',
    whiteSpace: 'nowrap',
    textOverflow: 'ellipsis',
    wordBreak: 'keep-all'
  }, _defineProperty(_$concat, "\n          &".concat(componentCls, "-cell-fix-left-last,\n          &").concat(componentCls, "-cell-fix-right-first\n        "), _defineProperty({
    overflow: 'visible'
  }, "".concat(componentCls, "-cell-content"), {
    display: 'block',
    overflow: 'hidden',
    textOverflow: 'ellipsis'
  })), _defineProperty(_$concat, "".concat(componentCls, "-column-title"), {
    overflow: 'hidden',
    textOverflow: 'ellipsis',
    wordBreak: 'keep-all'
  }), _$concat)));
};

export default genEllipsisStyle;